# See https://pre-commit.com for more information
# See https://pre-commit.com/hooks.html for more hooks
exclude: '^$'
fail_fast: false
repos:
  - repo: https://github.com/PyCQA/flake8
    rev: 6.1.0
    hooks:
      - id: flake8
        additional_dependencies: [flake8-docstrings, flake8-debugger, flake8-bugbear, mccabe]
        args: [--max-complexity, "10", --ignore, "C901"]
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v3.2.0
    hooks:
    -   id: trailing-whitespace
    -   id: end-of-file-fixer
    -   id: check-yaml
    -   id: check-added-large-files
  - repo: https://github.com/pycqa/isort
    rev: 5.12.0
    hooks:
      - id: isort
        language_version: python3
  # - repo: https://github.com/pre-commit/mirrors-mypy
  #   rev: 'v1.5.1'  # Use the sha / tag you want to point at
  #   hooks:
  #     - id: mypy
  #       additional_dependencies:
  #         - types-docutils
  #         - types-pkg-resources
  #         - types-PyYAML
  #         - types-requests
  #       args: ["--python-version", "3.8", "--ignore-missing-imports"]
  - repo: https://github.com/psf/black
    rev: 23.7.0 # Replace by any tag/version: https://github.com/psf/black/tags
    hooks:
      - id: black
        language_version: python3 # Should be a command that runs python3.6+
